POST api/sticker/getAll
Request Information
URI Parameters
None.
Body Parameters
SearchParamsViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| firstElementIndex | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| keywords | string |
None. |
|
| numberOfElements | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"firstElementIndex": 1,
"id": "722267af-007a-443e-ae0a-b358504a3e9f",
"site_id": "c8c53299-ac47-44ee-86fa-dba7c0df90cd",
"keywords": "sample string 1",
"numberOfElements": 1
}
application/xml, text/xml
Sample:
<searchParamsViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <firstElementIndex>1</firstElementIndex> <id>722267af-007a-443e-ae0a-b358504a3e9f</id> <keywords>sample string 1</keywords> <numberOfElements>1</numberOfElements> <site_id>c8c53299-ac47-44ee-86fa-dba7c0df90cd</site_id> </searchParamsViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PaginationResultViewModelOfListOfStickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| data | Collection of StickerViewModel |
None. |
|
| totalRecord | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"data": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "f6749e56-f39a-494e-9af0-65106415f4f9",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "1dbaefa6-f5e0-4450-ab30-855f6a0c6017",
"contractItem_ID": "7fcbac8a-90ea-4301-b43b-fde369e716bc",
"departement_ID": "70adbec6-cc19-4384-a5f8-d0d0ea4a861c",
"departmentItem_ID": "7d14ee5d-55b7-4e7f-98fe-2e19034769d1",
"iD": "dfb6e860-04c2-45ff-9db0-dab26466f953",
"site_ID": "d7c007c6-b6e0-472b-bb99-57a9a7f5202a",
"siteCustomer_ID": "e3ee1b1c-f948-4567-8ccb-c40230a88d25",
"sticker_ID": "364a7b72-c290-4d6d-8cdb-59a5a79804ea",
"garment_ID": "4607e8e8-675b-48f7-8ca3-1701f9af1322"
},
{
"active": true,
"contract_ID": "1dbaefa6-f5e0-4450-ab30-855f6a0c6017",
"contractItem_ID": "7fcbac8a-90ea-4301-b43b-fde369e716bc",
"departement_ID": "70adbec6-cc19-4384-a5f8-d0d0ea4a861c",
"departmentItem_ID": "7d14ee5d-55b7-4e7f-98fe-2e19034769d1",
"iD": "dfb6e860-04c2-45ff-9db0-dab26466f953",
"site_ID": "d7c007c6-b6e0-472b-bb99-57a9a7f5202a",
"siteCustomer_ID": "e3ee1b1c-f948-4567-8ccb-c40230a88d25",
"sticker_ID": "364a7b72-c290-4d6d-8cdb-59a5a79804ea",
"garment_ID": "4607e8e8-675b-48f7-8ca3-1701f9af1322"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "c9f8850c-99b2-43f4-bf8e-9ba52b2b2f44",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "3ab6dfdf-1182-4203-8728-aa4634060dc0",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "734a3a22-0cf2-47d4-a81a-9581648d0f6c",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "dbd0e194-6a0f-49b1-80ec-6c418ef1c64f",
"stickerField_ID": "8f5560bb-4d0f-40ed-a5e2-7f7be78b568b",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "c9f8850c-99b2-43f4-bf8e-9ba52b2b2f44",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "3ab6dfdf-1182-4203-8728-aa4634060dc0",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "734a3a22-0cf2-47d4-a81a-9581648d0f6c",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "dbd0e194-6a0f-49b1-80ec-6c418ef1c64f",
"stickerField_ID": "8f5560bb-4d0f-40ed-a5e2-7f7be78b568b",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "5a6a8304-d74a-476f-95fa-370ef9db47a3",
"stickerType_ID": "747ef06e-e2f9-4ceb-b34a-936119c54e4f",
"stickerRelation_IDs": [
"3e676100-ac43-4ae8-add2-9ec4959bc6cd",
"c5da10ec-6790-4cca-8e19-3c6c17d1cab4"
],
"site_ID": "0f5e1ece-bdee-4b33-bd7f-083f50299b64"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "f6749e56-f39a-494e-9af0-65106415f4f9",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "1dbaefa6-f5e0-4450-ab30-855f6a0c6017",
"contractItem_ID": "7fcbac8a-90ea-4301-b43b-fde369e716bc",
"departement_ID": "70adbec6-cc19-4384-a5f8-d0d0ea4a861c",
"departmentItem_ID": "7d14ee5d-55b7-4e7f-98fe-2e19034769d1",
"iD": "dfb6e860-04c2-45ff-9db0-dab26466f953",
"site_ID": "d7c007c6-b6e0-472b-bb99-57a9a7f5202a",
"siteCustomer_ID": "e3ee1b1c-f948-4567-8ccb-c40230a88d25",
"sticker_ID": "364a7b72-c290-4d6d-8cdb-59a5a79804ea",
"garment_ID": "4607e8e8-675b-48f7-8ca3-1701f9af1322"
},
{
"active": true,
"contract_ID": "1dbaefa6-f5e0-4450-ab30-855f6a0c6017",
"contractItem_ID": "7fcbac8a-90ea-4301-b43b-fde369e716bc",
"departement_ID": "70adbec6-cc19-4384-a5f8-d0d0ea4a861c",
"departmentItem_ID": "7d14ee5d-55b7-4e7f-98fe-2e19034769d1",
"iD": "dfb6e860-04c2-45ff-9db0-dab26466f953",
"site_ID": "d7c007c6-b6e0-472b-bb99-57a9a7f5202a",
"siteCustomer_ID": "e3ee1b1c-f948-4567-8ccb-c40230a88d25",
"sticker_ID": "364a7b72-c290-4d6d-8cdb-59a5a79804ea",
"garment_ID": "4607e8e8-675b-48f7-8ca3-1701f9af1322"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "c9f8850c-99b2-43f4-bf8e-9ba52b2b2f44",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "3ab6dfdf-1182-4203-8728-aa4634060dc0",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "734a3a22-0cf2-47d4-a81a-9581648d0f6c",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "dbd0e194-6a0f-49b1-80ec-6c418ef1c64f",
"stickerField_ID": "8f5560bb-4d0f-40ed-a5e2-7f7be78b568b",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "c9f8850c-99b2-43f4-bf8e-9ba52b2b2f44",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "3ab6dfdf-1182-4203-8728-aa4634060dc0",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "734a3a22-0cf2-47d4-a81a-9581648d0f6c",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "dbd0e194-6a0f-49b1-80ec-6c418ef1c64f",
"stickerField_ID": "8f5560bb-4d0f-40ed-a5e2-7f7be78b568b",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "5a6a8304-d74a-476f-95fa-370ef9db47a3",
"stickerType_ID": "747ef06e-e2f9-4ceb-b34a-936119c54e4f",
"stickerRelation_IDs": [
"3e676100-ac43-4ae8-add2-9ec4959bc6cd",
"c5da10ec-6790-4cca-8e19-3c6c17d1cab4"
],
"site_ID": "0f5e1ece-bdee-4b33-bd7f-083f50299b64"
}
],
"totalRecord": 1
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.